pcimodules: broken; 'kmod' depmod doesn't generate a modules.pcimap

Bug #1534946 reported by TJ on 2016-01-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kmod (Ubuntu)
Undecided
Unassigned
pciutils (Ubuntu)
Undecided
Unassigned

Bug Description

pciutils->pcimodules relies on /lib/modules/$(uname -r)/modules.pcimap and its man-page claims this file is created by kmod->depmod.

However, since at least 14.04 trusty, this is not the case. Consequently pcimodules is broken on all releases since 14.04.

In 12.04 depmod still supported the "-m" option to generate modules.pcimap.

TJ (tj) on 2016-01-16
Changed in kmod (Ubuntu):
status: New → Triaged
Changed in pciutils (Ubuntu):
status: New → Triaged
Steve Langasek (vorlon) wrote :

Is this perhaps fixed via bug #1516095?

Jeremy Bicha (jbicha) wrote :

> Is this perhaps fixed via bug #1516095?

No, the 'pcimodules' command still doesn't work in Ubuntu 17.10 Alpha.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers